### Method

# WebKit2 WebView run_javascript_from_gresource

deprecated: 2.40

#### Declaration [src]

    void
    webkit_web_view_run_javascript_from_gresource (
      WebKitWebView* web_view,
      const gchar* resource,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously run the script from `resource`.

Asynchronously run the script from `resource` in the context of the current page in `web_view`.

When the operation is finished, `callback` will be called. You can then call `webkit_web_view_run_javascript_from_gresource_finish()` to get the result of the operation.

Deprecated since: 2.40

Use `webkit_web_view_evaluate_javascript()` instead.

#### Parameters

`resource`

  Type: `const gchar*`

  The location of the resource to load.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the script finished.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.